











                         HOOK-UP 2400 USER'S MANUAL
                         __________________________



                               FIRST  EDITION

                               NOVEMBER, 1987





















                         COMPUTER PERIPHERALS, INC.

                         2635 LAVERY COURT #5
                         NEWBURY PARK, CA. 91320

                         (805) 499-5751
















                                       1










          Notice
          ______




   Computer Peripherals, Inc. reserves the right to make improvements in
   the product described in this manual at any time and  without notice.
   Every effort has been made  to  insure  against any  inaccuracies or
   oversights in this publication however Computer Peripherals, Inc. can
   not be held responsible for any loss of information stemming from the
   use of the Hook-Up 2400 modem card.











         Trademark Acknowledgments
         _________________________




   BITCOM is a trademark of BIT Software, Inc.


   Smartmodem 2400B are trademarks of Hayes Microcomputer Products, Inc.


   Touch Tone is a registered service mark of American Telephone and
   Telegraph.


   IBM PC is a registered trademark of International Business Machines.













                                       2





           TABLE OF CONTENTS
           _________________




   Preface .......................................................... 4


   Chapter  1: Getting Started....................................... 5

          1.1: Review Your Modem Package ............................ 5
          1.2: Read Your Computer Hardware Manual ................... 5
          1.3: HOOK-UP 2400 Installation ............................ 6
          1.4: Intallation Testing .................................. 9


   Chapter  2: Modem Operation ...................................... 10

          2.1: Command Guidelines ................................... 10
          2.2: Result Codes ......................................... 12
          2.3: Transmission Speed ................................... 13
          2.4: HOOK-UP 2400 AT Command Definitions .................. 14
          2.5: HOOK-UP 2400 S-Register Definitions .................. 21


   Chapter  3: AT Command Set Applications .......................... 28

          3.1: Dialing .............................................. 28
          3.2: S-Register Programming ............................... 30
          3.3: Answering ............................................ 31
          3.4: Moving from On-Line to Command Mode .................. 32
          3.5: Moving from Command Mode to On-Line .................. 33
          3.6: Changing between Voice and Data ...................... 34


   Chapter  4: Troubleshooting ...................................... 34

          4.1: Dumb Terminal Mode ................................... 34
          4.2: Local Analog Loop Back Test .......................... 35
          4.3: Local Analog Loop Back Test with Self Test ........... 35
          4.4: Make sure your computer recognize the HOOK-UP 2400 ... 36
          4.5: HOOK-UP 2400 does not dial ........................... 37
          4.6: HOOK-UP 2400 dials but does not connect .............. 37
          4.7: HOOK-UP 2400 connects to the remote station
               but can not sign in .................................. 37


   Appendix A: HOOK-UP 2400 AT command summary ...................... 38
   Appendix B: HOOK-UP 2400 S-Register summary ...................... 40
   Appendix C: HOOK-UP 2400 Power UP configuration .................. 41
   Appendix D: Electrical Specifications ............................ 42
   Appendix E: FCC Registration ..................................... 44
   Appendix F: Tow years warranty ................................... 45




                                       3









         PREFACE
         _______





   The Hook-Up 2400 is an integral 2400 Baud telecommunication device
   designed for use with IBM-PC, XT, AT and all true compatibles.
   The Hook-Up 2400 is compatible with CCITT recommendation V.22 bis,
   V.22, Bell 212A, 103 and Hayes Smartmodem 2400B.


   The Hook-Up 2400 automatically dials or answers calls and also will
   match the baud rate to the calls being made from distant computers.
   A HI-FI Speaker mounted on the card lets you listen to call progress
   tones to warn you of busy, connection or wrong numbers.


   As an intelligent data communication system, the Hook-Up 2400 requires
   minimal user installation effort.      Besides the jumper settings for
   COM port and interrupt level, there are no other switches to be set.
   All configuration settings and diagnostic features can be invoked
   through user key board.


   The modem can detect and execute Hayes compatible commands from the
   user and send back result codes in optional English word or decimal
   digit form.


   The Hook-Up 2400 is approved by the Federal Communication Commission
   (FCC) for direct connection to any telephone system in the U.S.A.





















                                       4







         Chapter 1:  Getting Started
         ___________________________





   1.1  Review Your Modem Package (Inventory checklist)



   Your Hook-Up modem package should consist of the following items:


   -  Internal Hook-Up modem card.

   -  A modular telephone cable to connect the modem to the
      telephone line.

   -  One floppy diskette for  Hook-Up 2400 User's Manual.

   -  Installation instruction for Hook-Up 2400.

   -  One communications software package with manual and
      program diskette.


   If your package is incomplete, contact the source from where you
   purchased the Hook-Up 2400.





   1.2  Read your computer hardware manual



   A "COM" port is used by the IBM  Personal Computer (PC), PC/XT, PC/AT
   and the PC Portable as an "address" of a serial communications device
   such as a modem or printer.  The address tells the IBM Personal
   Computer where the device is located.

   Since IBM does not support COM3 and COM4, the communications software
   manufactures can define COM3 and COM4.      The COM Port address and
   Interrupt line (IRQ) of COM3 and COM4 can be different from each
   manufactures.  For these reasons, if you use COM3 or COM4 on your PC,
   check with your computer hardware manual and call the communications
   software manufacture to verify COM3 and COM4 support.

   Some personal computers have used a certain COM port for their own
   purpose.  If you are going to using an HOOK-UP 2400 with a CORONA PC,
   AT&T PC, LEADING EDGE, EAGLE PC, COLUMBIA PC, or the ZENITH PC,
   please make sure what COM ports are available for you.


                                       5








   1.3   HOOK-UP 2400 Installation




   Your Hook-Up 2400 is equipped with three jumpers located on the board
   for easily configuring multiple options.


   The jumper settings from the factory is COM1 ( port address: 3F8 - 3FF
   interrupt line: IRQ4 )





  1.3.1   HOOK-UP 2400 physical layout and component locations




        _____________________________________________________
       |                                                     |
       |                                                     |
       |                                                     |
       |                                                     |
       |  ___________                                        |
       | |           |                                  _____|
       | |           |                                 |     |
       | |           |                                 |line |
       | |           |                                 |_____|
       | |           |                                  _____|
       | |  speaker  |                                 |     |
       | |           |                                 |phone|
       | |___________|                                 |_____|
       |                              __________________   _ |
       |                             |                  | | || <---  speaker
       |                             |       U 9        | |_||       volume
       |                             |__________________|    |       control
       |                              __________________     |
       |       ADDR -------->  2 X 1 |                  |    |
       |                       4 Y 3 |       U 13       |    |
       |                             |__________________|    |
       |  ___________________    3                           |
       | |                   | 4 Z 2 <---------- IRQ         |
       | |       U 14        |   5                           |
       | |___________________|                               |
       |___________                           _______        |
                   |||||||||||||||||||||||||||       |       |
                   |||||||||||||||||||||||||||       |_______|





                                       6







  1.3.2     Select COM Port Address



   The configuration need not be changed if the modem can be in COM1.

   If the modem cannot reside in COM1, the modem can be reconfigured
   using the jumpers to move it into COM2, COM3, or COM4.

   You may select one of the communications port address using jumper X
   and Y.


   _________________________   ___________________________________________
  |                         | |                                           |
  |          ADDR           | | COM   JUMPER X    JUMPER Y   PORT ADDRESS |
  |         ______          | |___________________________________________|
  |                         | |                                           |
  |      2     [X   1]      | | COM1    X & 1       Y & 3      3F8 - 3FF  |
  |                         | |___________________________________________|
  |                         | |                                           |
  |                         | | COM2    X & 2       Y & 3      2F8 - 2FF  |
  |      4     [Y   3]      | |___________________________________________|
  |                         | |                                           |
  | default setting is COM1 | | COM3    X & 1       Y & 4      3E8 - 3EF  |
  | and [   ] indicates two | |___________________________________________|
  | points are connected by | |                                           |
  | the jumper              | | COM4    X & 2       Y & 4      2E8 - 2EF  |
  |_________________________| |___________________________________________|



   1.3.3  Select Interrupt Line


   Using jumper Z you may select IRQ2,3,4, or 5.  Only one of IRQ can be
   select at a time.

   _________________________   ___________________________________________
  |                         | |                                           |
  |           IRQ           | |     INTERRUPT               JUMPER Z      |
  |          _____          | |___________________________________________|
  |                         | |                                           |
  |            3            | |      IRQ   2                 Z & 2        |
  |                         | |___________________________________________|
  |      [4    Z]     2     | |                                           |
  |                         | |      IRQ   3                 Z & 3        |
  |            5            | |___________________________________________|
  |                         | |                                           |
  | default setting is IRQ4 | |      IRQ   4                 Z & 4        |
  | and [   ] indicates two | |___________________________________________|
  | points are connected by | |                                           |
  | the jumper              | |      IRQ   5                 Z & 5        |
  |_________________________| |___________________________________________|


                                       7







   1.3.4  An Example of JUMPER Setting



   The following Jumper setting for COM3 and COM4 is based on BitCom
   communications software.


    _________________________________________________________________
   |                                                                 |
   | COM PORT     JUMPER  X       JUMPER  Y       JUMPER  Z     INT  |
   |_________________________________________________________________|
   |                                                                 |
   |   COM1       X  and  1       Y  and  3       Z  and  4     IRQ4 |
   |_________________________________________________________________|
   |                                                                 |
   |   COM2       X  and  2       Y  and  3       Z  and  3     IRQ3 |
   |_________________________________________________________________|
   |                                                                 |
   |   COM3       X  and  1       Y  and  4       Z  and  4     IRQ4 |
   |_________________________________________________________________|
   |                                                                 |
   |   COM4       X  and  2       Y  and  4       Z  and  3     IRQ3 |
   |_________________________________________________________________|






  1.3.5  Installation



  -  Turn off the computer power switch and remove the power cord.

  -  Remove the computer system unit cover.

  -  Choose one of the available expansion slots and remove the slot
     cover on the rear panel of the computer.  Save the screw.

  -  Carefully slide the HOOK-UP 2400 into the slot.  Fasten the retaining
     bracket with the screw.

  -  Replace the cover on the computer system unit.

  -  Connect the upper jack (LINE) to the telephone line, and the lower
     jack (PHONE) to an optional external telephone handset.








                                       8





  1.4   Installation Testing




  -  Disconnect phone jacks from the HOOK-UP 2400.


  -  Check computer system is booted up and runing properly.


  -  Execute the communications software. Refer your software manual.


  -  Verify the communication software is configured to talk to
     the port selected.  Refer to the communications software
     manual for more information.


  -  Get into the dumb terminal mode to communicate to the modem.
     Refer to section 4.1 of this manual.


     a) Type " ATZ " <CR>           ; Reset all modem defaults
             " OK "                 ; Modem acknowledgment


        If you do not get a " OK " response from the HOOK-UP 2400
        then go back to step #4 and make sure your jumper setting
        is correct.   The most common error is that more than one
        piece of hardware is assigned to the same COM port address
        or the software is not configured to the same port that is
        set on your HOOK-UP 2400.


     b) Type " ATS18 = 5&T8 " <CR>  ; Request analog loop test to
                                    ; run 5 seconds
             " 000 "                ; No error response
             " OK "                 ; Modem acknowledgment


     c) Connect phone jacks again then type


             " ATH1 " <CR>          ; Go off-hook


        You should hear dialtone sound from the speaker.
        If not, check your telephone line.


     d) Using a small flat screw driver, adjust the volume on the modem's
        volume control port, located on the retaining bracket.

     e) Now, your HOOK-UP 2400 is ready to serve.



                                       9






        CHAPTER 2:  MODEM OPERATION
        ___________________________





   This documentation provides information for you to operate the HOOK-
   UP 2400 using the built-in AT commands and modem S-Registers.


   The Hook-Up 2400 is always in one of two states, command state or on-line
   state.  When power is on Hook-Up 2400 assumes the command state.
   This state allows the user to configure the modem for the particular
   application in which the modem will be functioning.   Also, the user
   may issue a command which will cause the modem to enter the on-line
   state (i.e, auto dial or auto answer).  Once the Hook-Up 2400 is in the
   on-line state all information over the communication line is treated
   as data, not commands or result codes.


   To return the modem to the command state, the escape code (discussed
   under "AT" command set description) must be entered.





   2.1  Command Guidelines




   Attention Code


   All commands must be at 300, 1200 or 2400 bps asynchronous.  Command
   lines must begin with the characters AT. The transmission speed, word
   length, and parity are determined from the AT.



   A/ Command


   The A/ command instructs the Hook-Up 2400 to repeat the last command line
   stored in a command buffer.  It may be used to redial the previous
   telephone number  when a busy signal is encountered.  A/ is used in
   place of AT and no carriage return (CR) is required.  Each command
   remains in the command buffer until AT is entered or power to the
   modem is turned off.  Both actions clear the buffer and make the A/
   command invalid since there is no command for it to repeat.





                                       10



   Backspace Key


   Prior to pressing CR, editing can be done with the backspace key;
   it deletes the last character in the command buffer screen.
   The backspace key will not delete the AT at the beginning of
   the command line.



   Carriage Return


   The command line must be ended with a carriage return.  The Hook-Up 2400
   will not begin to execute the command until it receives a carriage
   return.



   Missing Parameter


   A missing parameter evaluates to the default value.  For example,
   the  H  command can have a parameter of zero (HO).   Since 0 is the
   default value, H alone is the same as HO.



   Command Buffer


   The command buffer capacity is 40 characters.  If the command line
   exceeds 40 characters, the Hook-Up 2400 will refuse to execute any
   portion of the command line and send an error massage.



   Command Data Rate


   Commands to the Hook-Up 2400 in the local command state must be
   asynchronous, ASCII coded and transmitted at rates of 300, 1200 or
   2400 bps only.



   Unimplemented AT Commands


   If an unimplemented command is executed, no action will be
   taken by the modem and the OK or ERROR result code will be given.









                                       11



   2.2 Result Codes



   Result codes are responses by the Hook-Up 2400 to commands.  A command
   line, followed by a carriage return, causes the modem to execute
   the command.  When the command has been completed, the modem sends
   a result code.


   Result codes may be English words or single digits (0-5).
   Word codes are preceded and followed by a carriage return/line feed
   sequence.     Digit codes are only followed by a carriage return.
   The result codes and their meanings are summarized in following Table.




                          RESULT CODES
                          ____________



    Digit  Word
    Code   Code           Meaning
    -------------------------------------------------------------------


     O     OK             Command executed without errors.


     1     CONNECT        Connection is established; 300 bps or 1200 bps
                          if X0 is set

     2     RING           Local ringing signal detected; will answer only
                          if auto answer enabled

     3     NO CARRIER     Carrier lost or never present.


     4     ERROR          Error in the command line.


     5     CONNECT 1200   Connection established at 1200 bps; if X1 is set


     6     NO DIALTONE    No dial tone detected; if X2 or X4 is set


     7     BUSY           Line is busy; X3 or X4 is set


     8     NO ANSWER      No answer; if "@" dial modifier used


     10    CONNECT 2400   Connection established at 2400 bps; if X1 or
                          X4 is set



                                       12








   2.3   Transmission Speed





   Transmission speed is governed by the speed of the system connected
   to the Hook-Up 2400.  You must set the transmission rate of the
   computer or terminal which will be used with the modem to 2400 bps,
   1200 bps or 300 bps.


   When the modem originates a call, it automatically detects and
   adjusts to the transmission speed set in your equipment.  The modem
   uses the AT command to determine bps, word length, and parity of the
   device to which it is connected.


   When the modem answers a call, it determines the transmission speed
   from the carrier signal of the originating modem.



































                                       13




  2.4   HOOK-UP 2400 "AT" COMMAND DEFINITIONS



  A   Go off hook and answer phone immediately


      The HOOK-UP 2400 immediately goes off hook, transmits the
      answer tone and waits for a carrier from the remote modem.
      Commands entered after the A command are ignored.



  A/  Repeat previous command


      The last command executed by the HOOK-UP 2400 will execute again.
      This command does not require the "AT" prefix or <cr> termination.



  Bn  Bell/CCITT mode select


      B0 -  Selects CCITT V.22 operation at 1200 bps
      B1 -  Selects BELL 212A operation at 1200 bps (Default)

      Most 1200 bps modems in the United States operate using the BELL 212A
      specification. In order to communicate with a modem conforming to
      the international CCITT V.22 standard, issue the B0 command before
      dialing.



  Dn  Dial the number immediately following this command


      where n = digits 0 to 9 together with the dial modifiers
      listed below.

      The HOOK-UP 2400 will dial the number specified in the manner determined
      by the dial modifiers. The dial modifiers may appear anywhere
      within the dial string with the exception of the ; modifier which
      must appear at the end of the string.



      Dial Modifiers: P  Pulse dial
                      T  Tone  dial
                      R  Originate call in answer mode
                      W  Wait for dial tone before dialing
                      ,  Pause before dialing next digit
                      ;  Return to command mode after dialing
                      @  Wait for quiet answer before dialing
                      !  Flash-hook.
                      S  Dial the number stored in RAM



                                       14





      Example: ATDP9WT713,S;

      In this example, the HOOK-UP 2400 pulse dials a 9 digit, waits for a
      dial tone, then tone dials the digits 713. Next, the modem pauses
      the length of time specified in register S8. It then dials the
      number stored in the HOOK-UP 2400 controller's RAM which can be up
      to 32 digits in length. Finally, the modem returns to the command
      mode after the final digit has been dialed.

      The P modifier causes the modem to pulse or rotary dial at a fixed
      rate of 10 pulses per second. (The make/break ratio for pulse
      dialing is determined by the &P command.)

      The T modifier causes the modem to dial using DTMF (Dual-tone
      multi-frequency) signals, the same as those used by "touch-tone"
      telephones.

      The R modifier is used to call modems which can communicate only
      using the originate mode carrier frequencies. This is a limitation
      generally found only in older modems.

      The W modifier causes the HOOK-UP 2400 to wait for a dial tone signal
      for the number of seconds specified in register S7. This is generally
      used when trying to dial through a PBX or when using a long distance
      service such as SPRINT or MCI.

      The @ modifier causes the HOOK-UP 2400 to wait for the time specified by
      register S7 for one or more rings followed by 5 seconds of silence
      before processing the next symbol in the dial string. It is used
      to access a system that does not provide a dial tone.

      The ! modifier causes the modem to go on-hook for 1/2 second. This
      is equivalent to holding the switch-hook button on your telephone
      down for 1/2 second. The flash is generally used for transferring
      calls.

      The S modifier allows the HOOK-UP 2400 to dial a number which has been
      previously stored in RAM using the &Z command. The maximum size
      number allowed is 32 digits. The S command does not save the number
      in non-volatile memory. The number will be lost when power is cycled
      or after issuing an ATZ command.



  En  Echo back characters in command mode


      E0 - no characters echoed back to host in command mode
      E1 - echoes back characters to host typed in command mode (default)

      This command controls the echoing back of commands to the host computer
      or terminal. In most personal computer applications, the default E1
      is used so that the user can see what he has just typed in. When
      running in half-duplex mode, the E0 command should be used to avoid
      having 2 copies of each character displayed on the screen.



                                       15




  Hn  Activate switch-hook


      H0 - go on hook (hang-up) (default)
      H1 - go off hook (pick up the phone)

      This command forces the modem to pick-up or hang-up the phone
      in the same way a telephone handset is picked-up to answer a
      call or placed back on the switch-hook to terminate a call.

      H0 may be used to terminate a call after issuing +++ to return
      to the command state.

      Use of the H1 command is generally not required as the modem
      will automatically answer an incoming call if the S0 register
      is a non-zero value.




  In  Request product code and ROM checksum


      I0 - display product code
      I1 - display ROM checksum
      I2 - display ROM checksum as OK or ERROR

      This command is used as a diagnostic tool when troubleshooting
      the modem.



  Mn  Speaker on/off commands


      M0 - speaker always off
      M1 - speaker on until carrier detected (default)
      M2 - speaker always on
      M3 - disables speaker while dialing and when receiving
           carrier from remote modem

      The M commands are used to control a monitor speaker. M0 will turn
      the speaker off at all times. M1 is the default condition which
      allows the user to hear dial, ring and connection. The M2 command
      causes the speaker to stay on at all times, which may be useful
      in debugging a transmission problem. M3 allows the user to monitor
      just the ring and connection process.












                                       16



  On  Place modem in the on-line data mode


      O0 - HOOK-UP 2400 returns to on-line state
      O1 - HOOK-UP 2400 returns to on-line state
           and initiates an equalizer retrain sequence


      When connected to another modem, it may be necessary to go back
      into command mode (using +++) to enter some command to the modem. After
      completion of the commands, an ATO or ATO1 command will return the
      HOOK-UP 2400 to the on-line condition.




  Qn  Enable/disable result codes (Quiet mode)


      Q0 - Result codes sent (default)
      Q1 - No result codes sent

      The Q commands are used to enable or disable the sending of result
      codes (such as OK, CONNECT 2400, ERROR, etc.) to the host computer
      or terminal. In the Q0 default mode, result codes will be returned
      to the computer. In Q1 mode, no result codes are sent.




  Sn?   Read value stored in register Sn


      where n = 0...27 and specifies the register to be read.

      This command causes the HOOK-UP 2400 to read the value stored in one
      of the S registers and display it on the screen as a decimal
      number.




  Sn=r  Store the value r in register Sn


      where n = 0...27 and specifies the register to which the value
      r is assigned, and
      r = 0...255 and is the value to be stored in register Sn.

      This command stores the value r in register Sn.










                                       17



  Vn  Sets result code format


      V0 - selects short-form numeric result codes
      V1 - selects long-form verbal result codes (default)




  Xn  Select extended result code set


      where n = 0,1,2,3,or 4 with the default being 4.

      By using the X commands, the user can enable and disable the following
      HOOK-UP 2400 functions: NO DIALTONE detect, BUSY detect, BLIND DIAL
      capability, and send only the CONNECT message after connecting. The
      table below specifies which functions are enabled depending on which X
      command was last entered.



      Function                  X0      X1       X2         X3       X4
      ------------------------------------------------------------------

      BUSY detect               No      No       No         Yes      Yes

      NO DIALTONE detect        No      No       Yes        No       Yes

      CONNECT message only      Yes     No       No         No       No

      BLIND DIAL enabled        Yes     Yes      No         Yes      No



      Sending only the CONNECT message complies with Hayes SMARTMODEM 300
      compatibility. When X1 through X4 are selected, the full range of
      connect messages are displayed (CONNECT 2400 = 2400 bps connection,
      CONNECT 1200 = 1200 bps connection, and CONNECT = 300 bps connection.)
      All connect messages are sent at the data terminal's autobaud rate,
      while all subsequent data is sent at the connect data rate.

      When blind dialing, the modem will dial regardless of the presence
      or absence of a dial tone. The modem will wait the number of seconds
      determined by register S6 which has a default of 2 seconds.

      The BUSY message, when enabled, informs the user that a busy signal
      was encountered during the dial process.



  Z   Reset the HOOK-UP 2400


      This command resets the modem to its default values and clears the
      register used to store the number recalled by the "ATDS" command.




                                       18




  &Cn Data-Carrier-Detect (DCD) control


      &C0 - DCD always on
      &C1 - DCD follows state of data carrier (default)


      When n = 0, the DCD line will remain in the ON condition regardless
      of the state of the data carrier coming from the remote modem.

      When n = 1 (default), DCD will follow the state of the data carrier
      coming from the remote modem. When a data carrier is detected coming
      from the remote modem, DCD is on, otherwise DCD is off.




  &Dn Data-Terminal Ready (DTR) control


      &D0 - HOOK-UP 2400 ignores DTR.
      &D1 - The HOOK-UP 2400 goes into command mode if an ON to OFF transition
            is detected on DTR.
      &D2 - The HOOK-UP 2400 goes on-hook, disables auto-answer, goes into
            command mode after detecting an ON to OFF transition on DTR.
            If DTR goes back on, auto-answer is re-enabled.
      &D3 - An ON to OFF transition on DTR causes the modem to go through
            an initialization sequence. Default values for all commands
            and S registers are re-instated.

      The modem will ignore any DTR transition that lasts for less than
      the value contained in register S25. The factory setting is 5/100
      of a second.




  &F  Restore default configuration


      The &F command restores the factory default values to all S registers.
      In the HOOK-UP 2400, the Z command and &F command are equivalent since
      there is no non volatile memory storage.



  &P  Pulse dial make/break ratio select


      &P0 - U.S. setting , 39% make/61% break (default)
      &P1 - UK/Hong Kong setting, 33% make/67% break

      This command determines the ratio of off-hook (make) to
      on-hook (break) intervals when pulse dialing.





                                       19






  &Tn Test and Diagnostic commands



      &T0 - Terminate any test in progress
      &T1 - Initiate local analog loop back test
      &T8 - Initiate local analog loop back with self test




      When n = 0, any test in progress will be terminated. This
      may only be the last command in a command line.


      When n = 1, a local analog loopback test conforming to CCITT
      recommendation V.54, L3 is initiated.


      When n = 8, a local analog loopback self-test is initiated
      conforming to CCITT recommendation V.54,L3.


      When n = 2 - 7, and ERROR message is returned. The HOOK-UP 2400 does
      not support remote or local digital loopback testing.





  &Zn Store telephone number n in RAM


      The &Z command will store a number with a maximum length of 32 digits
      into a RAM register of the HOOK-UP 2400 controller. The number can
      be recalled for use by the "ATDS" command. The number can be any
      legal dial modifier or tone and pulse digits ranging from 0 to 9.
      The dial string must not exceed 32 digits.



















                                       20




  2.5  HOOK-UP 2400 S-Register Definitions




  S0  Ring to answer/on


      The value stored in register S0 determines how many incoming rings are
      required before the HOOK-UP 2400 will go off-hook and answer the phone. A
      value of 1 to 255 enables auto answer mode, and a value of 0 will
      disable auto answer mode.



  S1  Ring Count


      S1 is incremented each time the modem detects an incoming ring signal.
      This register is cleared if no rings occur over an 8 second interval.



  S2  Escape Code Character


      The value stored in this register determines the ASCII character which
      will cause the modem to escape from on-line data mode back to command
      mode. A string of 3 escape characters followed by a carriage return is
      required to cause an escape.

      The default value stored in this register is 43 which corresponds to an
      ASCII +. S2 can be set to any value of from 0 to 255. Values
      greater than 127 will disable escape code detection.
      When the escape code is disabled, hang-up can be achieved if the
      remote modem drops carrier or if an on-to-off transition is detected
      on DTR by the HOOK-UP 2400 when &D1, &D2, or &D3 are in effect.




  S3  Carriage Return Character


      S3 holds the ASCII value of the carriage return character. The
      default value is 13.



  S4  Line Feed Character


      S4 holds the ASCII value of the line feed character. The default
      value is 10.





                                       21







  S5  Back Space Character


      S5 holds the ASCII value of the back space character. The default
      value is 8. The backspace character must not be set to a value
      corresponding to a printable ASCII character (between 33 and 126)
      or to a value of 127 or greater. If it is, the HOOK-UP 2400 will
      ignore it.



  S6  Wait For Dial Tone


      The value in S6 determines how many seconds the HOOK-UP 2400 will
      wait after going off-hook before dialing the first digit.
      The delay is used to allow the central office time to detect the
      off-hook condition and send a dial tone. The default is 2 seconds.



  S7  Wait-time for Carrier before abort


      The value stored in S7 determines how many seconds the HOOK-UP 2400 will
      wait to see a carrier signal after it has gone off-hook. The default
      value is 30 seconds. S7 may be programmed from 1 to 255 seconds.



  S8  Pause Time for Comma


      Register S8 determines the duration of the dialing pause caused by
      detecting a , dial modifier in the dial string. The comma is usually
      used to wait for a second dial tone when dialing through a PBX. The
      default value is 2 seconds. Values from 0 to 255 are accepted.



  S9  Carrier Detect Response Time


      The value stored in this register determines the length of time an
      incoming data carrier must be present before the HOOK-UP 2400 will
      recognize it and turn on DCD. The default value is 6(tenths of a second).
      Increasing this value will decrease the chance of detecting a false
      carrier such as noise or a busy signal.








                                       22






  S10 Carrier Loss to Hang up Delay


      Register S10 establishes the delay between the detection of a loss of
      data carrier from the remote modem and the time when the HOOK-UP 2400
      will disconnect. The default value is 14(tenths of a second).
      Setting S10 to 255 causes the HOOK-UP 2400 to ignore the carrier
      detect status and function as though a carrier were always present.

      If S10 is set to a value smaller than the S9 carrier detect response
      time, any loss of carrier results in a disconnect, since the HOOK-UP 2400
      times out before the carrier detect response delay expires. The actual
      length of a momentary loss that can be tolerated is the difference
      between S10 and S9.




  S11 DTMF Digit Duration


      Register S11 holds the value which determines the length of duration
      for each DTMF digit in milliseconds and the silence interval between
      adjacent digits. The default is 95 msec (same as Hayes) and can be
      programmed from 50 to 255 msecs.




  S12 Escape Code Guard Time


      In the HOOK-UP 2400, the escape code guard time is defined as the
      time delay between the last character of the escape code (+++)
      and the next data character transmitted by the host DTE.
      The default value is fixed at 1 second.



  S13 Reserved



  S14 Bit Mapped Options


      Bit 0     Reserved

      Bit 1     Command echo    0 - No echo
               (See E command)  1 - Echo (default)

      Bit 2     Result Codes    0 - Enabled (default)
               (See Q command)  1 - Disabled

      Bit 3     Verbose mode    0 - Short form numeric result codes
               (See V command)  1 - Full word result codes (default)

                                       23





      Bit 4     Reserved

      Bit 5     Dial method     0 - Tone dial
                (See T and P    1 - Pulse dial (default)
                 commands)

      Bit 6     Reserved

      Bit 7     Originate/Answer 0 - Answer
                (See A, D, and   1 - Originate (default)
                 R command and register S0)



  S15 Reserved



  S16 Modem Test Options


      Bit 0     Local Analog    0 - Disabled (default)
                Loopback        1 - Enabled
                (See &T1)

      Bit 1     Reserved

      Bit 2     Reserved

      Bit 3     Reserved

      Bit 4     Reserved

      Bit 5     Reserved

      Bit 6     Local Analog    0 - Disabled (default)
                loopback L3     1 - Enabled
                with self test.
                (See &T8)

      Bit 7     Reserved



  S17 Reserved



  S18 Test Timer


      Establishes the duration of the HOOK-UP 2400 diagnostic routines.
      When a test has been active for a period of time equal to
      the value stored in register S18, the HOOK-UP 2400 will automatically
      cancel the test. Setting S18 to 0 disables the test timer (default).
      A test can be terminated from command mode at any time by issuing
      the &T0 command.

                                       24





  S19 Reserved



  S20 Reserved



  S21 Bit Mapped Options

      Bit 0     Reserved

      Bit 1     Reserved

      Bit 2     Reserved

      Bit 3,4   Data Terminal Ready - DTR (See &D command)


            0 - Modem ignores DTR (default)
            1 - Modem goes to command mode if On to Off transition
                occurs on DTR.
            2 - Modem "hangs up" if On to Off transition on DTR.
            3 - Modem goes to the initialization state if On to Off
                transition on DTR.


      Bit 5     Data Carrier Detect - DCD
                (See &C command)


            0 - DCD always on
            1 - An ON condition on DCD indicates the presence of a valid
                data carrier (default).



      Bit 6     Reserved


      Bit 7     Reserved




  S22 Bit Mapped Options


      Bit 0     Reserved

      Bit 1     Reserved

      Bit 2,3   Speaker Control  0 - Speaker Disabled
                (See M command)  1 - Speaker on until carrier (default)
                                 2 - Speaker always on
                                 3 - Speaker on until carrier detected
                                   but off during dialing

                                       25





      Bit 4,5,6 Result Code Options (see X command)


             0 - Selects Hayes Smartmodem 2400 result codes; when
                 the modem receives the dial command, it goes off-hook,
                 waits the number of seconds given by register S6, and
                 "blind dials" (does not look for dial tone).
             4 - The HOOK-UP 2400 selects the appropriate connect result code
                 from the following list: CONNECT, CONNECT 1200, OR
                 CONNECT 2400. Upon receiving the dial command, the
                 HOOK-UP 2400 goes off-hook, waits the number of seconds given
                 by register S6, and "blind dials" (does not look for dial
                 tone).
             5 - Same as 4, but the HOOK-UP 2400 waits for dial tone before
                 dialing.
             6 - Same as 4 but the HOOK-UP 2400 detects busy signal and sends
                 BUSY result code. The modem blind dials.
             7 - Same as 6 but the HOOK-UP 2400 waits for dial tone before
                 dialing. All result codes are enabled (default).




  S23 Bit Mapped Options


      Bit 0     Reserved

      Bit 1,2   Communications rate (See AT command)

                      0 - 0 to 300 bps
                      1 - Reserved
                      2 - 1200 bps
                      3 - 2400 bps (default)

      Bit 3-7   Reserved



  S24 Reserved



  S25 Detect DTR change


      A change in the state (On to Off) of the Data Terminal Ready line
      which persists for less than the value contained in register S25
      is ignored by the HOOK-UP 2400. Values for S25 range from 0 to 255
      hundredths of a second, with the default being 5/100 of a second.)



  S26 Reserved




                                       26




  S27 Bit Mapped Options


      Bits 0-5,7  Reserved

      Bit 6    Bell vs CCITT    0 - CCITT V.22 at 1200 bps
             (See B command)    1 - BELL 212A      at 1200 bps (default)




















































                                       27




         Chapter 3:  AT command applications
         ___________________________________




   3.1  Dialing



   In response to the dial command, the Hook-Up originates a telephone call.
   No other device is required for automatic dialing.



   Command:   ATD1234567  <CR>;  Dial 1234567


   In response to this command, the modem dials the telephone number "123-
   4567" and then waits for carrier from a distant modem.  If no carrier is
   detected within a given time (the default time is 30 seconds), the modem
   automatically releases the line and sends a NO CARRIER result code.  If
   carrier is detected, the modem gives a CONNECT result code and goes on-
   line, permitting communication with the distant modem.




   Command:  ATD9,1234567 <CR>;  Dial 9, pause, dial 1234567


   When placing a call from an office with a telephone connected to a PBX,
   it is necessary to dial an access code (usually the digit 9) to get an
   outside line.  You can command the modem to pause and wait for the second
   dial tone by inserting a comma in the telephone number.  The default
   pause time is 2 seconds.

   Multiple commas may be used for a greater delay time.




   Command:  AT DP9,T1234567 <CR>;  Pulse dial 9, pause, touch-tone
                                 ;  dial 1234567


   The modem is capable of using DTMF (touch-tones) or dial pulses when
   dialing a telephone number.  If the dial command does not specify which
   type to use, the modem defaults to the type last specified.  The power-on
   default value is T.

   The T and P commands determine the dialing type.  They can be inserted
   into the telephone number at any point, allowing the dialing type to be
   changed during the dialing operation.





                                       28





   Command:  ATD1234567R <CR>; Dial number in answer mode


   The D command forces the modem into originate mode.  To call someone with
   an originate-only modem, dial the number and set the modem to answer mode
   (even though you are originating the call) via the R command.  Enter the R
   (reverse) command at the end of the telephone number.




   Command:  ATDT9, 1234567; <CR>  ; Touch-tone dial 9, pause, dial number,
                                   ; return for command
             ATH                   ; Hang up

   Ending the dial command with a carriage return causes the modem to wait for
   carrier.  Terminate the process by pressing any key.

   The modem can be forced to re-enter the command state after dialing (without
   hanging up) by ending the dial command with a semicolon.  This is useful when
   using the modem as an auto dialer.

   Listen for a telephone ringing over the built-in speaker.  When it is heard,
   pick up the telephone handset, and issue the hang up command to the modem.

   You may then talk to a person on the telephone.

   Another autodial command sequence is to dial normally without the semicolon,
   wait for the ringing signal, pick up the telephone, and press any key
   to   cause the modem to hang up.




   Command:   ATDP9 WT 1234567;E0  <CR>;  Combine Pulse and Touch tone
                                       ;  dialing and then execute E0


   This example combines Pulse and Touch tone dialing.   The W modifier
   insures that no action will be taken by the modem until it has acknowledged
   connection to an outside line after pulse dialing 9.  Once dialing is
   complete, the modem returns to command mode and executes E0 command
   which tells the modem that from now on, characters sent to it in Command
   mode are not be echoed to the screen.  The  W modifier is necessary for
   subscribers of some discount phone service when the modem must wait
   for a second dial tone before transmitting the rest of the number.




   Command:   ATDT 1234567 @ 12345 <CR>;    Wait for silence


   The @ modifier is used on systems that do not provide a dial tone.
   In this example the modem dials the first number and waits for 5 seconds
   of silence before continuing.  The modem will only continue if it detects
   5 seconds of silence within the time specified by the value in S7.

                                       29





   A security system might require the entering of certain tones to inhibit
   unauthorized entry.




   Command:   ATD1, 234567 ! 123 <CR>;   Flash


   Modem dials 1, pauses, dials the remainder of the number, initiates a
   flash which is equivalent to hanging up the phone for 1/2 second,
   and dials the extension 123.   A flash is used on some systems to
   transfer a call.





   3.2   S-Registers Programming




   Command:  ATSn? <CR>;  Reading from the Sn Register


   To read the current value of a register, use the command Sr? where "r" is
   the number of the register.  The decimal value of the register contents
   is then displayed.

   For example, if you wish to read the current value in registers S0
   (ring to answer on) and S7 (wait time for carrier), perform the following.

   Enter: AT S0? S7? (Value in register SO? Value in register S7?)

   A typical response to this might be:

   Result: 001 (Hook-Up will answer on first ring)

   Result: 030 (Hook-Up will wait 30 seconds for a carrier)

   Result: OK (OK read command completed)




   Command:  ATSn = x <CR>;  Write x into the Sn Register



   To set or change a parameter, use the command  Sr=n where "r" is the num-
   ber of the register and "n"is a value between 0 and 255 (i.e., the range
   of values that can be assigned to registers S0-S16).





                                       30





   In the previous example, "Reading a Register," the value in the S0
   register was set so that the modem would answer the call on the first
   ring.  If you want the modem to answer on the fifth ring:


   Enter:  AT S0 = 5 (Auto answer on ring 5)

   Result:  OK



   To signal that the command has been executed, the modem sends the result
   code OK.

   The S command can be used without the  ? or =.  The S command actually
   sets a pointer to the address of the register specified.  The ? and = are
   separate commands that either read data from or put date in the address
   specified by the pointer.

   To illustrate this,

   Enter: AT S7 (Register S7)    Press: RETURN

   A pointer is set to the address of the seventh register.  So long as no
   other S command is entered, you can request the value of that register at
   any time without specifying the number.

   Enter:  AT? (Value in register S7?)

   In response, the modem displays the current value in the S7 register.
   Similarly, if you

   Enter: AT = 10

   The modem will change the value in the S7 register to 10.





   3.3  Answering


   You can set the modem to automatically answer the phone, or you can use
   the " A " command to manually answer an incoming call.   S0 determines
   whether the modem will answer automatically or not.

   The S0 register controls the number of rings, if any that must occur before
   the modem answers a call.  The register may range in value from 0-255.

   SO=0   DO NOT ANSWER TELEPHONE
   SO=1   ANSWER ON RING 1
   SO=2   ANSWER ON RING 2
   SO=3   ANSWER ON RING 3
    .
    .
    .

                                       31



   SO=255  ANSWER ON RING 255

   When SO is set to 0, the auto-answer option is not in effect.

   Example:

   Assign the value "6" to SO to set the modem to answer on the sixth ring.

   Enter:  AT S0 = 6

   Result:  OK




   3.4   Moving from On-Line to Command Mode


   Use the following procedure to move to the command mode from the on-line
   mode.


   - Pause for the time guard to elapse.

   - Enter the following quickly ( do not allow more than the time guard
     to elapse between each character).

     " +++ "

   - Do not prefix the three pulses with any characters.  Also, do not
     press the <CR> key to end the line.

   - The HOOK-UP 2400 is now in the command mode.




   3.5  Moving from Command mode to On-Line mode



   The following procedure assumes that the HOOK-UP 2400 is in the command
   mode.

   - Enter the following command line:

     " ATO " <CR>

   - Press return key.

   - HOOK-UP 2400 is now on-line mode.









                                       32





   3.6 Changing Between Voice and Data


   You can change operation between voice and data communication without
   breaking the connection to another system.  To change from voice to
   data, use the following procedure.




   3.6.1 Switching from data to voice


   - Pick up the phone handset.

   - Type a message requesting the other person to pick up the phone.

   - After the other person pick up the phone, type " +++ " and wait
     for " OK " response from the HOOK-UP 2400.

   - Type " ATH " and wait for " OK " message.

   - You are now ready to talk to the remote operator.




   3.6.2  Switching from voice to data


   - Request the other person to type " ATA "  to put the HOOK-UP 2400
     in answering mode.

   - Listen for a high pitch tone and then type " ATD " to put the HOOK-UP
     2400 in originate mode.

   - Both operator hang up their phone handsets.





















                                       33








         Chapter 4:  Troubleshooting
         ___________________________





   This chapter describes some of the common problems you might have in the
   installation, configuration, or regular usage of the modem.


   In order to test the modem you need to use your communication software in
   the ON-LINE mode, or as you may see in other software manuals, in terminal
   mode or standard mode.  In this mode your keyboard acts as a dumb terminal's
   keyboard taking to the modem.






   4.1 Dumb terminal mode ( direct communication mode )



   To get into dumb terminal mode using BITCOM 3 communications software,
   use the following procedure.



   - From the BITCOM main menu, type " 3 "


   - Look for Comm port field in the communications configuration menu.


   - Use down arrow to move cursor to Com port, use left/right arrow to
     change this field to match with the modem Com port set up.


   - Press " F2 " to return to the main menu.


   - Type " 1 " to return to the communications selection menu.


   - Move the cursor to the line that says " dumb terminal local connect ".
     Press return.  Now you are in direct communication (dumb terminal mode)
     with the HOOK-UP 2400.






                                       34






   4.2  Local Analog Loop Back Test.




   This feature tests your computer and modem for proper operation
   locally.   This option do not test your phone line interface.


   Before entering analog loopback test, the telephone line must be
   removed from the modem.  Normal telephone line signals may
   disrupt the performance of the modem during analog loopback.



   - Type " AT&T1 " and press return.


   - Type in your test message; everything you typed will be echoed back
     from the modem to the screen.   If the message echoed back correctly,
     the modem and computer are operating correctly.


   - To terminate this test, type " +++ " ( no return ) and then wait
     " OK " message.  After receive message from the modem,
     type " AT&T0 " <CR>.





   4.3  Local Analog Loop Back Test with Self Test.


   This features is similar to local analog loop back test, except that
   the modem will generate its own test pattern, analyze the receive data
   and report the error count.



   - Type " AT&T8 " <CR>


   - Wait 1 minute or more.


   - Type " AT&T0 " to terminate test.


   - HOOK-UP 2400 will display error count.  If the massage is " 000 ",
     the modem and computer are operating correctly.

     The " ATS18=60&T8 " command give you same result (1 minute testing).




                                       35






   4.4  Make sure your computer recognize the HOOK-UP 2400.



   To check this you should type:   ATZ  <CR>


   Depending on your communication software you may get a "O" or an
   "OK" in response.

   -  If you do not see the "ATZ", but you get the"O" or "OK" on the
      screen, this is normal and the reason is that your software has
      initialized the modem using EO command (not echoing the command
      characters).

   -  If you don't get the result code for your "ATZ" command you
      have to check the configuration of your modem.  In this case you
      may check the following points:



      If your computer has a serial port on the mother
      board (usually com1) and supports only COM1 and
      COM2, then you can't have any other add-on serial
      port other than the modem, and the modem should be
      configured for com2.



      If you have a multifunction card with two serial
      ports make sure that one of them is disabled and
      one that stays enabled is in a different COM port
      than the modem.




   -  If all the above items are set correctly and you
      still don't get a result code check the baud rate of
      your software and make sure it is either 300, 1200 or 2400 bps

















                                       36





   4.5  The Modem does not dial



   Make sure that you can communicate to your modem as described
   above.  Once you made sure of that check the followings:

   -  Make sure that your modem is hooked up to a live phone line,
      and the volume is not very low.

   -  Make sure that your software configured for either 300, 1200
      or 2400 baud rate.





   4.6  The Modem dials the number but doesn't connect




   This problem might be caused by any of the following:



   - The remote station may not recognize your baud rate.

   - The carrier wait count (S7) might be to short; default setting
     is 30 seconds, often it is too short for long distant connect.

   - You may have a noisy phone line.

   - Check your phone cord using a regular telephone set.






   4.7  The modem connects to the remote station but you can't sign-in


   You should check the communication parameters of the remote station
   and make sure your software is configured for the same number of data
   bits, start bit, stop bit, and parity.












                                       37



    APPENDIX A:  HOOK-UP 2400 "AT" Command Summary
    ______________________________________________



    COMMAND                     DESCRIPTION
    -------      ---------------------------------------------------



      AT         COMMAND LINE PREFIX (ATTENTION CODE); PRECEDES
                 COMMAND LINES EXCEPT +++ (ESCAPE) AND A/ (REPEAT)
                 COMMANDS.

      A/         RE-EXECUTE LAST COMMAND LINE; (A/ IS NOT FOLLOWED
                 BY A CARRIAGE RETURN).

      A          OFF-HOOK IN ANSWER MODE

      B          SELECTS CCITT V.22 OPERATION WHEN COMMUNICATING AT 1200 BPS.
      B1         (Default) SELECTS BELL 212A OPERATION WHEN COMMUNICATING AT
                 1200 BPS.

      D          DIAL NUMBER WHICH FOLLOWS D IN THE COMMAND LINE.

      E          MODEM DOES NOT "ECHO"  COMMANDS BACK TO TERMINAL
      E1         (Default) MODEM ECHOS COMMANDS BACK TO TERMINAL.

      H          (Default) ON-HOOK (HANG-UP) COMMAND.
      H1         GO OFF-HOOK

      I          REQUEST PRODUCT IDENTIFICATION CODE.
      I1         PERFORMS CHECKSUM ON FIRMWARE    ROM;RETURNS CHECKSUM
      I2         PERFORMS CHECKSUM ON FIRMWARE    ROM; RETURNS OK     OR
                 ERROR.

      M          SPEAKER OFF
      M1         (Default) SPEAKER ON UNTIL CARRIER DETECTED
      M2         SPEAKER ALWAYS ON
      M3         SPEAKER ON UNTIL CARRIER DETECTED EXCEPT DURING
                 DIALING.

      O          RETURN TO ON-LINE STATE.
      O1         RETURN TO ON-LINE STATE AND INITIATE RETRAIN

      Q          (Default) MODEM RETURNS RESULT CODES.
      Q1         MODEM DOES NOT RETURN  RESULT CODES.

      SR=N       SET REGISTER R TO VALUE N.
      SR?        REQUEST CONTENTS OF REGISTER R.

      V          SHORT FORM NUMERIC RESULT CODES.
      V1         (Default) FULL WORD RESULT CODES.







                                       38



    COMMAND                     DESCRIPTION
    -------      ---------------------------------------------------


      X          300 BPS COMPATIBILITY  MODE; CONNECT RESULT
                 CODE ENABLED.
      X1         MODEM BLIND DIALS; ALL CONNECT XXXX RESULT
                 CODES ENABLED; BUSY SIGNAL NOT DETECTED.
      X2         MODEM WAITS FOR DIAL TONE BEFORE DIALING;
                 ALL CONNECT XXXX RESULT CODES    ENABLED;
                 MODEM SENDS BUSY RESULT CODE IF BUSY DETECTED.
      X3         MODEM BLIND DIALS; ALL CONNECT XXXX RESULT CODES
                 ENABLED; MODEM SENDS BUSY CODE IF BUSY DETECTED.
      X4         (Default) MODEM WAITS FOR DIAL TONE BEFORE DIALING;
                 ALL CONNECT XXXX RESULT CODES ENABLED; BUSY
                 SIGNAL NOT DETECTED.

      Z          LOAD STORED CONFIGURATION PROFILE.

      &C         DCD ALWAYS ON.
      &C1        (Default) DCD ON INDICATES PRESENCE OF DATA CARRIER.

      &D         (Default) MODEM IGNORES DTR.
      &D1        MODEM ASSUMES COMMAND  STATE WHEN ON-TO-OFF
                 TRANSITION DETECTED ON DTR.
      &D2        MODEM HANGS UP & ASSUMES COMMAND STATE.
                 AUTO ANSWER NOT DISABLED UNLESS EXTERNALLY
                 IMPLEMENTED BY (RI- *  DTR-)= A6-.
      &D3        MODEM ASSUMES INITIALIZATION STATE UPON DETECTING
                 AN ON-TO-OFF TRANSITION ON DTR.

      &F         LOAD FACTORY CONFIGURATION PROFILE.

      &P         (Default) PULSE DIAL MAKE/BREAK RATIO=39/61 (USA)

      &P1        PULSE DIAL MAKE/BREAK RATIO = 33/67 (UK/HK)

      &S         DSR ALWAYS ON.
      &S1        DSR OPERATES IN ACCORDANCE WITH EIA RS-232C SPEC

      &T         TERMINATE TEST IN PROGRESS.
      &T1        INITIATE LOCAL ANALOG  LOOPBACK TEST.
      &T8        INITIATE LOCAL ANALOG  LOOPBACK WITH SELF TEST.

      &Z         STORE   TELEPHONE NUMBER.


      DIAL MODIFIERS
      --------------

      P               PULSE   DIAL
      T               TONE DIAL
      ,               PAUSE
      !               FLASH
      @               WAIT FOR SILENCE
      W               WAIT FOR SECOND DIAL TONE
      ;               RETURN TO COMMAND STATE AFTER    DIALING
      R               ORIGINATE CALL IN ANSWER MODE
      S               DIAL STORED NUMBER

                                       39





  APPENDIX B:  HOOK-UP 2400 S-REGISTER SUMMARY
  ____________________________________________






  REGISTER    RANGE   UNITS   FACTORY SETTING     DESCRIPTION
  -------------------------------------------------------------------------



   S0         0-255   RINGS               RING TO ANSWER ON
   S1         0-255   RINGS     00        RING COUNT
   S2         0-127   ASCII     43        ESCAPE CODE CHARACTER
   S3         0-127   ASCII     13        CARRIAGE     RETURN CHARACTER
   S4         0-127   ASCII     10        LINE FEED CHARACTER
   S5         0-127   ASCII     08        BACK SPACE CHARACTER
   S6         0-255   SEC       02        WAIT FOR     DIALTONE
   S7         1-255   SEC       30        WAIT FOR     DATA CARRIER
   S8         0-255   SEC       02        PAUSE TIME FOR COMMA
   S9         1-255   1/10 SEC  06        CARRIER DETECT RESPONSE TIME
   S10        1-255   1/10 SEC  14        LOST CARRIER TO HANG-UP DELAY
   S11       50-255   MSEC      95        DTMF DIGIT DURATION
   S12        FIXED   1/50 SEC  50        ESCAPE CODE GUARD TIME
   S13        NONE    NONE      00        RESERVED
   S14        NONE    FLAGS    170        BIT MAPPED OPTIONS
   S15        NONE    NONE      00        RESERVED
   S16        NONE    FLAGS     00        MODEM TEST OPTIONS
   S17        NONE    NONE      00        RESERVED
   S18        0-255   SEC       00        TEST TIMER
   S19        NONE    NONE      00        RESERVED
   S20        NONE    NONE      00        RESERVED
   S21        NONE    FLAGS     32        BIT MAPPED OPTIONS
   S22        NONE    FLAGS    118        BIT MAPPED OPTIONS
   S23        NONE    FLAGS     06        BIT MAPPED OPTIONS
   S24        NONE    NONE      00        RESERVED
   S25        0-255   1/100 SEC 05        DETECT DTR CHANGE
   S26        NONE    NONE      01        RESERVED
   S27        NONE    FLAGS     64        BIT MAPPED OPTIONS

















                                       40






   APPENDIX C:  HOOK-UP 2400 POWER-UP CONFIGURATION
   ________________________________________________




   SPEED = 2400 BPS
   BELL 212A OPERATION AT 1200 BPS
   AUTO ANSWER DISABLED
   COMMAND ECHO ON
   ALL RESULT CODES ENABLED
   WAIT FOR DIAL TONE BEFORE DIALING
   DETECTS BUSY SIGNAL
   FULL WORD RESULT CODES
   PULSE DIAL MAKE/BREAK RATIO = 39/61
   TEST TIMER SET TO 0 SECONDS
   DCD FOLLOWS CARRIER SIGNAL
   MODEM IGNORES DTR
   CTS ALWAYS ON, RTS IGNORED
   DSR ALWAYS ON
   SPEAKER ENABLED BUT OFF WHEN
   RECEIVING CARRIER
   RING COUNT = 00
   ESCAPE CODE CHAR. = 43
   CARRIAGE RETURN CHAR. = 13
   LINE FEED CHAR. = 10
   BACK SPACE CHAR. = 08
   DURATION OF WAIT FOR DIAL TONE = 02 SECS
   DURATION OF WAIT FOR CARRIER AFTER DIALING = 30 SECS
   DURATION OF DIAL PAUSE (COMMA) = 02 SECS
   ESCAPE CODE GUARD TIME = 425 MS


























                                       41





   APPENDIX D:  ELECTRICAL SPECIFICATIONS
   ______________________________________



   Parameter                  Specifications
   ---------------------------------------------------------------------


   Transmission Rate          2400, 1200 and 300 bps character asynch.

   Transmission Channel       Full Duplex QAM/PSK or FSK for two wire
                              dial up

   Modulation Protocol        V.22 bis; 16 point QAM at 600 bps
                              V.22 and Bell 212A; 4 point QAM at 600 bps
                              Bell 103; binary phase coherent FSK

   Transmit Frequencies        Speed     Low Band       High Band
                              2400      1200 HZ        2400 HZ
                              1200      1200 HZ        2400 HZ
                               300      1270 HZ; Mark  2225 HZ; Mark
                               300      1070 HZ; Space 2020 HZ; Space


   Output Spectral Shaping    Square root of 75% raised cosine; QAM/PSK

   Transmit Signal Level      -9 dbm

   Receive Operating Range    -9 dbm to -43 dbm

   Carrier Drop Out           -48 dbm

   Line Equaliztion           Fixed compromise equalization; transmit
                              Adaptive equaliztion; receive (PSK/QAM)

                                          -5
   Bit Error Rate             2400 bps: 10   at 17 db SNR
                                          -5
                              1200 bps: 10   at 9  db SNR
                                          -5
                              300  bps: 10   at 7  db SNR

   Diagnostics                Local Analog Loopback L3
                              Local Analog Loopback L3 with self test

   DTE Interface              Hayes 2400 "AT" command set

   Asynchronous Data Format  7 bit data; even, odd and no parity
                                          1 or 2 stop bits
                              8 bit data; no parity, 1 or 2 stop bits

   Command Buffer             40 characters





                                       42







   Parameter                  Specifications
   ------------------------------------------------------------------



   Auto dial Modes            DTMF, Pulse or Tandem

   Stored Number Dialing      Single 32 digit number storage in RAM

   DTMF Tone Symbols          0, 1, 2, 3, 4, 5, 6, 7, 8, 9

   Tone Duration              Programmable 50 to 255 msec

   Governmental Approvals     FCC part 68 and part 15 for domestic
                              use ( sub-part J, section B ) approved
                              for direct connection to the PSTN

   Physical Specifications    Size: 5.25 inch x 3.90 inch
                              Height: 0.70 in

   Power requirements         500ma at +5 V
                              20ma  at -5 V
                              20ma  at +12 V
                              20ma  at -12 V
































                                       43






   APPENDIX E:   FCC PART 68 REGISTRATION
   ______________________________________




   The Hook-Up 1200B is registered with the Federal Communications Commis-
   sion regarding connection to the switched telephone network as regulated
   by FCC rules and regulations, part 68.  FCC places two restrictions on
   its use:


   1-  This modem cannot be connected to a party line or a payphone.


   2-  You should notify your local telephone company regarding
       connection of your modem to your phone line.







   FCC PART 15 CLASS B CERTIFICATION



   This equipment generates and uses radio frequency energy and if not in-
   stalled and used properly, that is in strict accordance with its instruc-
   tions, may cause interference to radio and television reception.  It has
   been type tested and found to comply with the limits for a class B com-
   puting device in accordance with the specifications in Subpart J or part
   15 or FCC rules and regulations.  However, there is no guarantee that in-
   terference will not occur in a particular installation.  If this equipment
   does cause interference to radio or television reception, which can be
   terminated by turning it off the user is encouraged to try to correct the
   interference by one or more of the following measures:


   1-  Reorient the receiving antenna.

   2-  Relocate the computer with respect to the receiver.

   3-  Plug the computer into a different outlet.












                                       44






   APPENDIX  F: TWO YEAR WARRANTY
   ______________________________


   Computer Peripherals, Inc. warrants to the original consumer purchaser
   that each of its hardware products, and all components thereof, will be
   free from defect in material and/or workmanship for two years from the date
   of purchase.  Any warranty hereunder is extended only to the original
   consumer and is not transferable.

   In the event of a malfunction or other indication of failure attributable
   directly to faulty workmanship and/or materials, Computer Peripherals,
   Inc. will at its option repair or replace the defective products or com-
   ponents, to whatever extent it shall deem necessary to restore the
   product or component to proper operating condition.  Provided the consumer
   purchaser sends with the defective product proof of the date of purchase
   of the product.  Before returning the product for repair, the customer must
   contact Computer Peripherals, Inc. customer service at (805) 499-5751 for
   a return authorization number.  This number should be included with the
   customer's mailing address and phone number when the product is returned.
   There shall not be warranty for either parts or labor after the expiration
   of two years from the date of purchase.

   Units must be returned postage prepaid.  Units returned without proof of
   date of purchase, or out of warranty units will be repaired and the cus-
   tomer will be charged for the parts and labor.  The customer shall be
   solely responsible for the failure of the product or component thereof,
   resulting from accident, abuse, or misapplication of the product, and
   Computer Peripherals, Inc. assumes no liability as a consequence of such
   events under the terms of this warranty.

   While Computer Peripherals, Inc. has made every effort to provide clear
   and accurate technical information about the application of its products,
   Computer Peripherals, Inc. assumes no liability for any events arising out
   of the use of this technical information.

   Any and all implied warranties of merchantability and fitness for particular
   use, shall have no greater duration than the period for the expressed
   written warranty applicable to this product as shown above, and shall
   terminate automatically at the expiration of such period.  No action
   shall be brought for breach of any implied or expressed warranty after one
   year subsequent to the expiration of the period of the expressed written
   warranty.

   Incidental and consequential damages caused by malfunction, defect or
   otherwise and with respect to breach of any expressed or implied warranty
   are not the responsibility of Computer Peripherals, Inc. and to the extent
   permitted by law, are hereby excluded both for property and to the extent
   not unconscionable, for personal injury damage.

   Computer Peripherals, Inc.
   2635 Lavery Court # 5
   Newbury Park, CA 91320
   (805) 499-5751



                                       45
